/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qlottieanimation_p.h>)
#  include <private/qlottieanimation_p.h>
#endif
#if __has_include(<private/qlottievectorimagecontroller_p.h>)
#  include <private/qlottievectorimagecontroller_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt_labs_lottieqt()
{
    qmlRegisterModule("Qt.labs.lottieqt", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QLottieAnimation>("Qt.labs.lottieqt", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("Qt.labs.lottieqt", 6);
    qmlRegisterEnum<QLottieAnimation::Status>("QLottieAnimation::Status");
    qmlRegisterEnum<QLottieAnimation::Quality>("QLottieAnimation::Quality");
    qmlRegisterEnum<QLottieAnimation::Direction>("QLottieAnimation::Direction");
    qmlRegisterEnum<QLottieAnimation::LoopCount>("QLottieAnimation::LoopCount");
    qmlRegisterTypesAndRevisions<QLottieVectorImageController>("Qt.labs.lottieqt", 6);
    QT_WARNING_POP
    qmlRegisterModule("Qt.labs.lottieqt", 6, 12);
}

static const QQmlModuleRegistration qtlabslottieqtRegistration("Qt.labs.lottieqt", qml_register_types_Qt_labs_lottieqt);
